{{!-- Activation Cost --}}
<div class="form-group input-select">
    <label>{{ localize "mez5e.ItemActivationCost" }}</label>
    <div class="form-fields">
        <input type="text" name="data.activation.cost" value="{{data.activation.cost}}" data-dtype="Number" placeholder="-"/>
        <select name="data.activation.type">
            {{#select data.activation.type}}
            <option value=""></option>
            {{#each config.abilityActivationTypes as |name key|}}
            <option value="{{key}}">{{name}}</option>
            {{/each}}
            {{/select}}
        </select>
    </div>
</div>
{{#if data.activation.type}}
 
{{!-- Activation Condition --}}
<div class="form-group">
    <label>{{ localize "mez5e.ItemActivationCondition" }}</label>
    <div class="form-fields">
        <input type="text" name="data.activation.condition" value="{{data.activation.condition}}"/>
    </div>
</div>
 
{{#if isCrewed}}
<div class="form-group">
    <label>{{localize 'mez5e.Cover'}}</label>
    <div class="form-fields">
        <select name="data.cover" data-dtype="Number">
            {{#select data.cover}}
                <option value="">&mdash;</option>
                {{#each config.cover as |v k|}}
                    <option value="{{k}}">{{v}}</option>
                {{/each}}
            {{/select}}
        </select>
    </div>
</div>
{{/if}}
 
{{!-- Ability Target --}}
<div class="form-group input-select-select">
    <label>{{ localize "mez5e.Target" }}</label>
    <div class="form-fields">
        <input type="text" name="data.target.value" value="{{data.target.value}}" data-dtype="Number" placeholder="-"/>
        <select name="data.target.units">
            {{#select data.target.units}}
            <option value=""></option>
            {{#each config.distanceUnits as |name key|}}
            <option value="{{key}}">{{name}}</option>
            {{/each}}
            {{/select}}
        </select>
        <select name="data.target.type">
            {{#select data.target.type}}
            <option value=""></option>
            {{#each config.targetTypes as |name key|}}
            <option value="{{key}}">{{name}}</option>
            {{/each}}
            {{/select}}
        </select>
    </div>
</div>
 
{{!-- Ability Target Width --}}
{{#if isLine}}
<div class="form-group input-select-select">
    <label>{{ localize "mez5e.TargetWidth" }}</label>
    <div class="form-fields">
        <input type="text" name="data.target.width" value="{{data.target.width}}" data-dtype="Number" placeholder="-"/>
    </div>
</div>
{{/if}}
 
{{!-- Ability Range --}}
<div class="form-group input-select">
    <label>{{ localize "mez5e.Range" }}</label>
    <div class="form-fields">
        <input type="text" name="data.range.value" value="{{data.range.value}}" data-dtype="Number" placeholder="{{ localize 'mez5e.Normal' }}"/>
        <span class="sep">/</span>
        <input type="text" name="data.range.long" value="{{data.range.long}}" data-dtype="Number" placeholder="{{ localize 'mez5e.Max' }}"/>
        <select name="data.range.units">
            {{#select data.range.units}}
            <option value=""></option>
            {{#each config.distanceUnits as |name key|}}
            <option value="{{key}}">{{name}}</option>
            {{/each}}
            {{/select}}
        </select>
    </div>
</div>
 
{{!-- Effect Duration --}}
<div class="form-group input-select">
    <label>{{ localize "mez5e.Duration" }}</label>
    <div class="form-fields">
        <input type="text" name="data.duration.value" value="{{data.duration.value}}" data-dtype="Number" placeholder="-"/>
        <select name="data.duration.units">
            {{#select data.duration.units}}
            <option value=""></option>
            {{#each config.timePeriods as |name key|}}
            <option value="{{key}}">{{name}}</option>
            {{/each}}
            {{/select}}
        </select>
    </div>
</div>
 
{{!-- Limited Uses --}}
<div class="form-group uses-per">
    <label>{{ localize "mez5e.LimitedUses" }}</label>
    <div class="form-fields">
        <input type="text" name="data.uses.value" value="{{data.uses.value}}" data-dtype="Number"/>
        <span class="sep">{{ localize "mez5e.of" }}</span>
        <input type="text" name="data.uses.max" value="{{data.uses.max}}"/>
        <span class="sep">{{ localize "mez5e.per" }}</span>
        <select name="data.uses.per">
            {{#select data.uses.per}}
            <option value=""></option>
            {{#each config.limitedUsePeriods as |name key|}}
            <option value="{{key}}">{{name}}</option>
            {{/each}}
            {{/select}}
        </select>
    </div>
</div>
 
{{!-- Consumption --}}
<div class="form-group uses-per">
    <label>{{ localize "mez5e.ConsumeTitle" }}</label>
    <div class="form-fields">
        <select name="data.consume.type">
            {{#select data.consume.type}}
            <option value=""></option>
            {{#each config.abilityConsumptionTypes as |name key|}}
            <option value="{{key}}">{{name}}</option>
            {{/each}}
            {{/select}}
        </select>
        <select name="data.consume.target">
            {{#select data.consume.target}}
            <option value=""></option>
            {{#each abilityConsumptionTargets as |name key|}}
            <option value="{{key}}">{{name}}</option>
            {{/each}}
            {{/select}}
        </select>
        <input type="text" name="data.consume.amount" value="{{data.consume.amount}}" data-dtype="Number"/>
    </div>
</div>
{{/if}}
 

